Summary:	Run an entire GNOME session under valgrind
Name:		gnome-valgrind-session
Version:	1.1
Release:	alt1_9
License:	Public Domain
Group:		Development/Tools
URL:		http://hp.cl.no/proj/gnome-valgrind-session/
Source0:	http://hp.cl.no/proj/gnome-valgrind-session/src/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-desktop.patch
Patch1:		%{name}-%{version}-use-gnome-session-suffix-pid.patch
Patch2:		%{name}-%{version}-use-gnome-session.patch


Requires:	gnome-session
Requires:	valgrind

BuildArch:	noarch
Source44: import.info

%description
GNOME Valgrind Session adds new types of GNOME session to the login manager's
session menu. These let you instrument your entire session with Valgrind for
debugging purposes. The generated logs are collected and subjected to simple
postprocessing when you log out. The result is saved to a file in your home
directory.

%prep
%setup -q
%patch0 -p1

%if 0%{?fc8}
%patch2 -p1
%else
%patch1 -p1
%endif

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/xsessions

# Startup and post-processing scripts for the sessions.
install -p -m0755 gnome-valgrind-errors $RPM_BUILD_ROOT/%{_bindir}
install -p -m0755 gnome-valgrind-errors-postprocess $RPM_BUILD_ROOT/%{_bindir}
install -p -m0755 gnome-valgrind-leaks $RPM_BUILD_ROOT/%{_bindir}
install -p -m0755 gnome-valgrind-leaks-postprocess $RPM_BUILD_ROOT/%{_bindir}

# These desktop files represent sessions, not GUI apps, so we don't use
# desktop-file-install upon them (following precedent in the gnome-session
# package).
install -p -m0644 gnome-valgrind-errors.desktop \
  $RPM_BUILD_ROOT/%{_datadir}/xsessions
install -p -m0644 gnome-valgrind-leaks.desktop \
  $RPM_BUILD_ROOT/%{_datadir}/xsessions

%files
%doc LICENSE
%{_bindir}/gnome-valgrind-errors
%{_bindir}/gnome-valgrind-errors-postprocess
%{_bindir}/gnome-valgrind-leaks
%{_bindir}/gnome-valgrind-leaks-postprocess
%{_datadir}/xsessions/gnome-valgrind-errors.desktop
%{_datadir}/xsessions/gnome-valgrind-leaks.desktop

%changelog
* Mon Mar 11 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_9
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_8
- initial fc import

